/*
 * S.java
 *
 * Created on May 15, 2007, 10:26 AM
 */

package s;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.ws.WebServiceRef;

/**
 *
 * @author mkuchtiak
 * @version
 */
public class S extends HttpServlet {
    @WebServiceRef()
    private cur.CurrencyConvertor service;
    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();

        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet S</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Servlet S at " + request.getContextPath () + "</h1>");

        // This part doesn't work
        try {
            javax.naming.InitialContext ic = new javax.naming.InitialContext();
            out.println("ic = "+ic);
            cur.CurrencyConvertor ser = (cur.CurrencyConvertor) ic.lookup("java:comp/env/service/CurrencyConvertor1");
            out.println("service = "+ser);
            cur.CurrencyConvertorSoap port = ser.getCurrencyConvertorSoap();
            // TODO initialize WS operation arguments here
            cur.Currency fromCurrency = cur.Currency.USD;
            cur.Currency toCurrency = cur.Currency.CZK;
            double result = port.conversionRate(fromCurrency, toCurrency);
            out.println("Result = "+result);
        } catch(javax.naming.NamingException ex) {
            // TODO handle JNDI naming exception
            System.out.println("ex = "+ex);
        }
        
        
        // This part works
        try {
            cur.CurrencyConvertorSoap port = service.getCurrencyConvertorSoap();
            // TODO initialize WS operation arguments here
            cur.Currency fromCurrency = cur.Currency.CZK;
            cur.Currency toCurrency = cur.Currency.SKK;
            // TODO process result here
            double result = port.conversionRate(fromCurrency, toCurrency);
            out.println("Result = "+result);
        } catch (Exception ex) {
            // TODO handle custom exceptions here
        }

        out.println("</body>");
        out.println("</html>");
         //
        out.close();
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /**
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /**
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
